IcebergReplicationYarnOptions (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class IcebergReplicationYarnOptions

- java.lang.Object
- - com.cloudera.api.swagger.model.IcebergReplicationYarnOptions

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class IcebergReplicationYarnOptions
      extends Object

  IcebergReplicationYarnOptions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IcebergReplicationYarnOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IcebergReplicationYarnOptions` | `bandwidthPerMap(BigDecimal bandwidthPerMap)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getBandwidthPerMap()` Get bandwidthPerMap
    `BigDecimal` | `getNumberOfMappers()` Get numberOfMappers
    `String` | `getSchedulerPoolName()` Get schedulerPoolName
    `int` | `hashCode()`
    `IcebergReplicationYarnOptions` | `numberOfMappers(BigDecimal numberOfMappers)`
    `IcebergReplicationYarnOptions` | `schedulerPoolName(String schedulerPoolName)`
    `void` | `setBandwidthPerMap(BigDecimal bandwidthPerMap)`
    `void` | `setNumberOfMappers(BigDecimal numberOfMappers)`
    `void` | `setSchedulerPoolName(String schedulerPoolName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IcebergReplicationYarnOptions

          public IcebergReplicationYarnOptions()

  - ### Method Detail

    - #### schedulerPoolName

          public IcebergReplicationYarnOptions schedulerPoolName(String schedulerPoolName)

    - #### getSchedulerPoolName

          public String getSchedulerPoolName()

      Get schedulerPoolName
      Returns:
        schedulerPoolName

    - #### setSchedulerPoolName

          public void setSchedulerPoolName(String schedulerPoolName)

    - #### numberOfMappers

          public IcebergReplicationYarnOptions numberOfMappers(BigDecimal numberOfMappers)

    - #### getNumberOfMappers

          public BigDecimal getNumberOfMappers()

      Get numberOfMappers
      Returns:
        numberOfMappers

    - #### setNumberOfMappers

          public void setNumberOfMappers(BigDecimal numberOfMappers)

    - #### bandwidthPerMap

          public IcebergReplicationYarnOptions bandwidthPerMap(BigDecimal bandwidthPerMap)

    - #### getBandwidthPerMap

          public BigDecimal getBandwidthPerMap()

      Get bandwidthPerMap
      Returns:
        bandwidthPerMap

    - #### setBandwidthPerMap

          public void setBandwidthPerMap(BigDecimal bandwidthPerMap)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.